/* Copyright (c) 2009 Peter Troshin
 *  
 *  Jalview Web Services @version: 2.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.runner;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import compbio.engine.client.CommandBuilder;
import compbio.engine.client.Executable;
import compbio.engine.client.RunConfiguration;
import compbio.metadata.Limit;
import compbio.metadata.LimitsManager;

public abstract class _SkeletalCommandBuilder implements
		Executable<_SkeletalCommandBuilder> {

	String tmpDirectory;
	String name;
	String email;
	List<String> params = new ArrayList<String>();

	public _SkeletalCommandBuilder setEmail(String email) {
		this.email = email;
		return this;
	}

	public _SkeletalCommandBuilder setName(String name) {
		this.name = name;
		return this;
	}

	public String getName() {
		return name;
	}

	public String getEmail() {
		return email;
	}

	public _SkeletalCommandBuilder addParameters(String[] parameters) {
		this.params.addAll(Arrays.asList(parameters));
		return this;
	}

	public _SkeletalCommandBuilder addParameters(List<String> parameters) {
		this.params.addAll(parameters);
		return this;
	}

	@Override
	public CommandBuilder<_SkeletalCommandBuilder> getParameters(
			ExecProvider provider) {
		return null;
	}

	public _SkeletalCommandBuilder addParameter(String parameter) {
		params.add(parameter);
		return this;
	}

	@Override
	public <V> V getResults(String directory) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public Executable<?> loadRunConfiguration(RunConfiguration rconfig) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public String getOutput() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public String getError() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public Limit<_SkeletalCommandBuilder> getLimit(String presetName) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public LimitsManager<_SkeletalCommandBuilder> getLimits() {
		// TODO Auto-generated method stub
		return null;
	}

}
