/* Copyright (c) 2009 Peter Troshin
 *  
 *  Jalview Web Services @version: 2.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.runner._impl;

import java.util.Arrays;
import java.util.List;

import compbio.runner._SkeletalCommandBuilder;

/*
 @see 
 *  Standard DisEMBL 
 *  DisEMBL.py smooth_frame peak_frame join_frame fold_coils fold_hotloops fold_rem465 sequence_file
 print 'A default run would be: ./DisEMBL.py 8 8 4 1.2 1.4 1.2 fasta_file > out'

 new DisEMBL is at /homes/pvtroshin/soft/DisEMBL-1.4raw
 This is not a standard DisEMBL! The script has been modified!
 DisEMBL.py smooth_frame peak_frame join_frame fold_coils fold_hotloops fold_rem465 [mode] < fasta_file > out
 print 'A default run would be: ./DisEMBL.py 8 8 4 1.2 1.4 1.2 < fasta_file'
 print 'Mode: "default"(nothing) or "scores" which will give scores per residue in TAB separated format' 
 */
public class Disembl extends _SkeletalCommandBuilder {

	private static final String command = "/homes/pvtroshin/soft/DisEMBL-1.4raw/DisEMBL.py";
	static final List<String> params = Arrays.asList(new String[] { "8", "8",
			"4", "1.2", "1.4", "1.2", "scores" });

	private final String workDirectory;

	public Disembl(String workDirectory) {
		this.workDirectory = workDirectory;
	}

	public static List<String> getTestArgs() {
		return params;
	}

	public String getCommand(ExecProvider provider) {
		return command;
	}

	public static String getTestCommand() {
		return command;
	}

	public String getCommandName() {
		return "DisEMBL";
	}

	@Override
	public List<String> getCreatedFiles() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public String getInput() {
		// TODO Auto-generated method stub
		return null;
	}

}
