/* Copyright (c) 2009 Peter Troshin
 *  
 *  Jalview Web Services @version: 2.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.runner._impl;

import java.util.List;

import compbio.runner._SkeletalCommandBuilder;

/*
 @see file:///(/homes/www-refine/SSPF_01/) Z:/bin/Brunak/TMHMM2/TMHMM2.0c/TMHMM2.0.html
 could have used decodeanhmm directly 
 for more options @see ./decodeanhmm -h
 e.g. decodeanhmm -f <path>/TMHMM2.0.options -modelfile <path>/TMHMM2.0.model
 */
class Tmhmm2 extends _SkeletalCommandBuilder {

	/*
	 * This is a standard tmhmm binary, but slightly modified the only
	 * difference is that it will always write results in $workDirectory/TMHMM
	 */
	private static final String command = "/homes/www-refine/bin/Brunak/TMHMM2/TMHMM2.0c/bin/tmhmm_samedir";
	String input;
	String output;
	List<String> params;

	private final String workDirectory;

	public Tmhmm2(String workDirectory) {
		this.workDirectory = workDirectory;
	}

	public static String getTestCommand() {
		return command;
	}

	public String getCommandName() {
		return "tmhmm";
	}

	@Override
	public List<String> getCreatedFiles() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public String getInput() {
		// TODO Auto-generated method stub
		return null;
	}

}
